// FPS.h
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FPS_H__F3CAE246_6909_4291_9867_27FB7E8F4EC7__INCLUDED_)
#define AFX_FPS_H__F3CAE246_6909_4291_9867_27FB7E8F4EC7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFPS  
{
public:
	CFPS(DWORD dwMaxSampleCount);
	virtual ~CFPS();

	void Rcv();
	double GetFPS();

private:
	DWORD	m_dwMaxSampleCount;
	PDWORD	m_pdwRcvTime;
	DWORD	m_dwPos;
	DWORD	m_dwCurSampleCount;
	HANDLE	m_hTimeMutex;
};

#endif // !defined(AFX_FPS_H__F3CAE246_6909_4291_9867_27FB7E8F4EC7__INCLUDED_)
